<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xmlns:v="urn:schemas-microsoft-com:vml">
<head>
  <meta http-equiv="content-type" content="text/html; charset={CONTENT_ENCODING}"/>
  <meta name="robots" content="noindex,nofollow">
  <title>{GALLERY_TITLE}</title>
  <link rel="stylesheet" type="text/css" href="{PLUGIN_ROOT_URL}/template/style.css?v={RVM_PLUGIN_VERSION}" />
<!--[if IE]>
  <style type="text/css">
  v\:* {
    behavior:url(#default#VML);
  }
  </style>
<![endif]-->
<!--[if lt IE 7]>
  <style>
  #map { position:auto; height: 100%; }
  </style>
<![endif]-->

  <script src="http://maps.google.com/maps?file=api&amp;v=2&amp;key={GMAPS_API_KEY}" type="text/javascript"></script>
  <script src="{PLUGIN_ROOT_URL}/template/data_loader.js?v={RVM_PLUGIN_VERSION}" type="text/javascript"></script>
  <script src="{PLUGIN_ROOT_URL}/template/data_handler.js?v={RVM_PLUGIN_VERSION}" type="text/javascript"></script>
  <script src="{PLUGIN_ROOT_URL}/template/page_linker.js?v={RVM_PLUGIN_VERSION}" type="text/javascript"></script>

  <script src="{PLUGIN_ROOT_URL}/template/windows_13/javascripts/prototype.js" type="text/javascript"></script>
  <script src="{PLUGIN_ROOT_URL}/template/windows_13/javascripts/window.js" type="text/javascript"></script>
  <link href="{PLUGIN_ROOT_URL}/template/windows_13/themes/default.css" rel="stylesheet" type="text/css" />
 	<link href="{PLUGIN_ROOT_URL}/template/windows_13/themes/alphacube.css" rel="stylesheet" type="text/css" />

  <script type="text/javascript">
  //<![CDATA[
  var map;
  var pwgDataLoader;
  var pwgDataHandler;
  var geocoder;

  document.is_debug = false;
  if ( document.location.search.match(/[\?&]debug/) ) {
    document.is_debug = true;
    document._window = window;
  }
  
  function load()
  {
    if (!GBrowserIsCompatible())
      return;

    var mapElement = document.getElementById("map");
    map = new GMap2( mapElement );
    
    map.addControl(new GLargeMapControl());
    map.addControl(new GMapTypeControl());
    map.addControl(new GScaleControl());

    pwgPageLinker = new PageLinker(map, "aLinkToThisPage" );
    if ( !map.isLoaded() )
      map.setCenter(new GLatLng(0, 0), 2);

    try {
      // the overview must be added after setting map center
      var ovcontrol = new GOverviewMapControl(new GSize(165,165));
  		map.addControl(ovcontrol);
  		var ov_map = ovcontrol.getOverviewMap();
  		GEvent.addListener(map, 'maptypechanged', function(){
  			ov_map.setMapType(G_NORMAL_MAP);
  		});
    }
    catch(e){ alert( e.message ); }
    
    map.enableScrollWheelZoom();
    map.enableDoubleClickZoom();

    pwgDataLoader = new PwgDataLoader(map);
    pwgDataLoader.onDataLoading = function(status) {
      var pre = '<img src="{PLUGIN_ROOT_URL}/icons/progress_s.gif" width="16" height="16" alt="~" /> ';
      document.getElementById("dataLoadStatus").innerHTML = pre + Localization.get("Loading");
    };
    pwgDataLoader.onDataLoadFailed = function(responseCode) {
      document.getElementById("dataLoadStatus").innerHTML = Localization.get("Failed") + " "+responseCode;
    };

    pwgDataHandler = new PwgDataHandler(map);
    pwgDataHandler.setShowAllImageSource( "{PLUGIN_ROOT_URL}/icons/pic_s.gif" );
    pwgDataLoader.onDataLoaded = pwgDataHandler.handle.bind(pwgDataHandler);
    
    pwgDataLoader.start( "{U_MAP_DATA}" );

    if (document.is_debug)
    {
      //GEvent.addListener(map, "movestart", function() { GLog.write("movestart");} );
      GEvent.addListener(map, "moveend", function() { GLog.write("movend c:"+map.getCenter().toUrlValue());} );
      //GEvent.addListener(map, "zoomend", function() { GLog.write("zoomend");} );
      //GEvent.addListener(map, "dragstart", function() { GLog.write("dragstart");} );
      //GEvent.addListener(map, "dragend", function() { GLog.write("dragend");} );
      GEvent.addListener(map, "maptypechanged", function() { GLog.write("maptypechanged");} );
      GEvent.addListener(map, "infowindowopen", function() { GLog.write("infowindowopen");} );
      GEvent.addListener(map, "infowindowclose", function() { GLog.write("infowindowclose");} );
    }
  }
  
  function searchLocation(q)
  {
    if (!q.length) return false;
    if (!geocoder)
      geocoder = new GClientGeocoder();
    geocoder.getLocations(q, function(resp)
      {
        if ( resp && resp.Status )
        {
          document._geoResponse = resp;
          if (resp.Status.code==200)
          {
            var zoom = 2;
            switch (resp.Placemark[0].AddressDetails.Accuracy)
            {
              case 1: zoom=5; break; //country
              case 2: zoom=7; break; //region
              case 3: zoom=8; break; //county
              case 4: zoom=12; break; //town
              case 5: zoom=13; break; //post code
              case 6: zoom=14; break; //street
              case 7: case 8: zoom=16; break; //intersection/exact
            }
            map.setCenter( new GLatLng( resp.Placemark[0].Point.coordinates[1], resp.Placemark[0].Point.coordinates[0] ), zoom);
          }
          else
            alert("This address has not been found\nCode:"+resp.Status.code);
        }
      });
    return false;
  }
  
  
  var Localization =
  {
    _strings: {
"go to %s": "{lang:go to %s}",
"Next": "{lang:Next}",
"Prev": "{lang:Prev}",
"out of %d": "{lang:out of %d}",
"Loading": "{lang:Loading}",
"Failed": "{lang:Failed}",
"Search a location...": "{lang:Search a location...}",
"Show all": "{lang:Show all}",
"show all pictures around this location": "{lang:show all pictures around this location}",
"displays %s on a map" : "{lang:displays %s on a map}",
"opens %s in Google Earth" : "{lang:opens %s in Google Earth}",
"%d images" : "{lang:%d images}",

dontMindTheComma: ""
      },
    
    get: function( str )
    {
      var lang_str = this._strings[str];
    	if (lang_str == undefined)
      {
        if (document.is_debug) GLog.write("Language string undefined '"+ str+"'");
        return str;
      }
    	return lang_str;
    },
    
    getQ: function( str )
    {
    	return '"'+this.get(str)+'"';
    },
    
    fmt1: function ()
    {
      var args = $A(arguments);
      var str = args.shift();
      str = this.get(str);
      str = str.replace( '%s', "#\{0\}" ).replace( '%d', "#\{0\}" );
      return new Template(str).evaluate( args );
    }
    
  }

  //]]>
  </script>
</head>

<body onload="load()" onunload="GUnload()">

<div id="titlebar">
  <div class="titlebar_links" >
    <span id="dataLoadStatus"></span>
    <a id="aKml" href="" type="application/vnd.google-earth.kml+xml"><img src="http://maps.google.com/mapfiles/ms/view_as_kml.png" width="16" height="16" alt="kml" /> <span>KML</span></a>
    <a id="aLinkToThisPage" href=""><img src="http://maps.google.com/mapfiles/bar_icon_link.gif" width="16" height="16" /> <span>{lang:Link to this page}</span></a>
    <a id="aBlowup" href="" onclick="return PwgDataHandler.blowupUrl(this.href);" title="{lang:show all pictures around this location}"><img src="{PLUGIN_ROOT_URL}/icons/pic_s.gif" alt="" title="{lang:show all pictures around this location}" /><span>{lang:Show all}<span></a>
    <form action="#" onsubmit="if (this.q.value!=Localization.get('Search a location...')) searchLocation(this.q.value);return false;"><input type="text" size="32" name="q" value="{lang:Search a location...}" onfocus="if (value==Localization.get('Search a location...')) value='';" onblur="if (value=='') value=Localization.get('Search a location...')" /><input type="submit" value="{lang:search}"/></form>
  </div>
  <div class="titlebar_title">
    <a href="{U_HOME}" title="{lang:return to homepage}">{lang:home}</a>
    <a href="{U_HOME_MAP}" title="{lang:displays all images on a map}"><img src="{PLUGIN_ROOT_URL}/icons/map_s.gif" width="32" height="17" alt="map"/></a>
    {lang:Viewing}: <a id="aPageUrl" href=""></a>
  </div>
</div>

<div id="map"> </div>

</body>
</html>